using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;
using static UIShare.UIViewModel.ParameterVM;



namespace UIShare.Converters
{
    public class ParameterCategoryToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is ParameterCategory category)
            {
                if (parameter?.ToString() == "Item")
                {
                    if (category == ParameterCategory.Temp) { return Visibility.Collapsed; }
                    else { return Visibility.Visible; }
                }
                bool boolValue = category == ParameterCategory.Input;
                if (parameter?.ToString() == "Inverse")
                {
                    boolValue = !boolValue;
                }
                return boolValue ? Visibility.Visible : Visibility.Collapsed;
            }
            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}